import 'package:flutter/foundation.dart';

@immutable
abstract class CoreItem<ID> {
  final ID id;
  final String name;
  final double price;

  const CoreItem({
    required this.id,
    required this.name,
    required this.price,
  });
}
