import 'package:flutter_flex_cart/flutter_flex_cart.dart';

import 'item.dart';

class ProductDetail extends CoreDetail<Item, String> {
  ProductDetail({
    required super.item,
    super.qty = 1,
    super.discount = 0.0,
  });

  @override
  set discount(double discount) {
    if (discount >= 0) {
      super.discount = discount;
    } else {
      throw UnsupportedError('Negative discount not supported');
    }
  }
}
